'use strict';

var reactDnd = require('react-dnd');
var reactDndHtml5Backend = require('react-dnd-html5-backend');
var React = require('react');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

function useDNDProviderElement(props) {
  var children = props.children; // eslint-disable-line react/prop-types

  if (!children) return null;
  return /*#__PURE__*/React__default.default.createElement(reactDnd.DndProvider, {
    backend: reactDndHtml5Backend.HTML5Backend,
    context: window
  }, children);
}
useDNDProviderElement.__docgenInfo = {
  "description": "",
  "methods": [],
  "displayName": "useDNDProviderElement"
};

exports.useDNDProviderElement = useDNDProviderElement;
